dcsimg
Linux Today: Linux News On Internet Time.




More on LinuxToday


FreeBSD Ports Security Advisory: wu-ftpd port contains remote root compromise [REVISED]

Jul 13, 2000, 19:54 (0 Talkback[s])

WEBINAR:
On-Demand

Re-Imagining Linux Platforms to Meet the Needs of Cloud Service Providers


Date: Tue, 11 Jul 2000 15:05:26 -0700
From: FreeBSD Security Advisories security-advisories@freebsd.org
To: BUGTRAQ@SECURITYFOCUS.COM
Subject: FreeBSD Ports Security Advisory: FreeBSD-SA-00:29.wu-ftpd [REVISED]

-----BEGIN PGP SIGNED MESSAGE-----


FreeBSD-SA-00:29                                           Security Advisory
                                                                FreeBSD, Inc.

Topic:          wu-ftpd port contains remote root compromise [REVISED]

Category:       ports
Module:         wu-ftpd
Announced:      2000-07-05
Revised:        2000-07-11
Credits:        tf8 
Affects:        Ports collection.
Corrected:      2000-06-24
Vendor status:  Contacted
FreeBSD only:   NO
I. Background

wu-ftpd is a popular FTP server.

II. Problem Description

The wu-ftpd port, versions 2.6.0 and below, contains a vulnerability which allows FTP users, both anonymous FTP users and those with a valid account, to execute arbitrary code as root on the local machine, by inserting string-formatting operators into command input, which are incorrectly parsed by the FTP server.

The wu-ftpd port is not installed by default, nor is it "part of FreeBSD" as such: it is part of the FreeBSD ports collection, which contains over 3500 third-party applications in a ready-to-install format. The ports collections shipped with FreeBSD 3.5 and 4.0 contains this problem since it was discovered after the release.

FreeBSD makes no claim about the security of these third-party applications, although an effort is underway to provide a security audit of the most security-critical ports.

III. Impact

FTP users, including anonymous FTP users, can cause arbitrary commands to be executed as root on the local machine.

If you have not chosen to install the wu-ftpd port/package, then your system is not vulnerable to this problem.

IV. Workaround

Deinstall the wu-ftpd port/package, if you you have installed it.

V. Solution

One of the following:

1) Upgrade your entire ports collection and rebuild the wu-ftpd port.

2) Deinstall the old package and install a new package dated after the correction date, obtained from:

ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-3-stable/ftp/wu-ftpd-2.6.0.tgz
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-4-stable/ftp/wu-ftpd-2.6.0.tgz
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/alpha/packages-4-stable/ftp/wu-ftpd-2.6.0.tgz
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-5-current/ftp/wu-ftpd-2.6.0.tgz
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/alpha/packages-5-current/ftp/wu-ftpd-2.6.0.tgz

NOTE: It may be several days before updated packages are available. Be sure to check the file creation date on the package, because the version number of the software has not changed.

3) download a new port skeleton for the wu-ftpd port from:

http://www.freebsd.org/ports/

and use it to rebuild the port.

4) Use the portcheckout utility to automate option (3) above. The portcheckout port is available in /usr/ports/devel/portcheckout or the package can be obtained from:

ftp://ftp.freebsd.org/pub/FreeBSD/ports/packages/devel/portcheckout-1.0.tgz

VI. Revision History

v1.0  2000-07-05  Initial release
v1.1  2000-07-11  Clarify that vulnerability affects all FTP users, not
                  just anonymous FTP. Correct URL of package. Update
                  size of ports collection.

-----BEGIN PGP SIGNATURE-----
Version: 2.6.2

iQCVAwUBOWuZzVUuHi5z0oilAQH+bgQAhpYzJ0xiU787xQFr/YnOJHe0k/CJiDOU
yrfyvGq4Grl4F/czojsyRTd5DwQzBKqIYm1H/z73gxI6nbEe0KaP+omfpzaAy7iK
pLyQJ5qbjQLuc54ed+gV1+lH84QkuMHzUygj5iqvjn91uAA5nMKEMnGbESZz3J4J
NjYmA1EfXbI=
=T7IG
-----END PGP SIGNATURE-----